//*****************************************************************************
//                                Version.hpp                                 *
//                               -------------                                *
//  Description : Version specifier for the GNU Spice GUI application.        *
//  Started     : 15/08/2003                                                  *
//  Last Update : Refer below                                                 *
//  Copyright   : (C) 2003 by MSWaters                                        *
//  Email       : M.Waters@bom.gov.au                                         *
//*****************************************************************************

//*****************************************************************************
//                                                                            *
//    This program is free software; you can redistribute it and/or modify    *
//    it under the terms of the GNU General Public License as published by    *
//    the Free Software Foundation; either version 2 of the License, or       *
//    (at your option) any later version.                                     *
//                                                                            *
//*****************************************************************************

#ifndef VERSION_HPP
#define VERSION_HPP

#define  APP_NAME     wxT("GNU Spice GUI")
#define  APP_VERSION  wxT("Version 0.9.33 Alpha (04/07/2007)")

#endif // VERSION_HPP

//*****************************************************************************
// THINGS TO DO:
//
// (05/08/2004) When errors encountered during simulation send the simulator
//              output to the console text control.
// (18/10/2004) Change storage type of Simulation class attributes to wxString.
//              This class is evil, make it better (ie. easier to understand).
// (21/04/2005) Convert NG-Spice phase results from radians to degrees.
// (21/04/2005) Remove the discontinuity at 360 degrees from the phase results
//              for NG-Spice and GNU-Cap.
// (21/04/2005) Could an existing opamp symbols used in schematics instead of
//              my opamp-3.sym?
// (22/04/2005) When simulator changed select closest analysis panel in new
//              simulator notebook.
// (31/01/2006) While performing a simulation if the gSpiceUI GUI is corrupted
//              it isn't redrawn until after the simulation is complete. Need
//              wxYield statements in appropriate places to allow the GUI to be
//              updated.
// (30/05/2007) If a value of eg. 2.01 is manually entered into a PnlValue
//              control when the spin button is used the value is increments to
//              3.01 instead of 3.00 or decrements to 1.01 instead of 2.00.
// (30/05/2007) In a PnlValue control a value of eg. 0.00mV is decremented to
//              -1.00mV instead of -1.00uV.
// (30/05/2007) In a PnlValue control a value of eg. 0.00uF is decremented to
//              -1.00mV instead of 1000.00nF instead of 0.00pF.
// (07/06/2007) If a current source is chosen the source setup dialogs display
//              units of Volts.
// (19/06/2007) In FrmMain the run simulation mechanism needs a major overhaul.
//              The Stop button doesn't work because the app. stays in the
//              OnSimRun( ) event handler while the simulation runs so no other
//              events are handled until this is exited.
// (22/06/2007) PnlValue controls with the type eVAR_SCI don't work properly
//              when the exponent is positive eg. LIMIT and DTRATIO in the
//              GNU-Cap OPTIONS commamd setup dialog.
// (05/07/2007) Is it possible to position gWave on the screen.
//*****************************************************************************
// GNU-Cap:
//
// (29/03/2004) The PRINT command doesn't produce a label for the independent
//              parameter ie. temperature or OP, voltage for DC.
// (20/04/2005) In the AC analysis the following source line is not interpreted
//              correctly: "Vin 2 3 GENERATOR(1) AC 100.00m". The AC magnitude
//              "100.00m" is not interpreted as "0.1"; replace it with "0.1"
//              and everything works OK.
// (21/04/2005) At times the first result line from a DC analysis is clearly
//              incorrect.
//*****************************************************************************
// NG-Spice:
//
// (11/05/2007) PRINT statement parser is broken. Eg. PRINT TRAN V(0,1) V(0,2)
//              is interpreted as one parameter -V(1)-V(2) instead of two; in
//              contrast PRINT TRAN V(1,0) V(2,0) is interpreted correctly. In
//              addition eg. PRINT AC VDB(0,1) wont run at all.
//              Notes: The .PRINT statement parsing starts in fixem( char * )
//                     (src/frontend/dotcards.c) which calls gettoks( char * )
//                     which calls gettok( char ** ) (../src/misc/string.c).
//                     I think the bug is in gettok( char ** ) or how it is
//                     used by gettoks( char * ).
//*****************************************************************************
// GWave:
//
// (29/03/2004) GWave can't handle the banner that Gnu-CAP includes in it's
//              output.
//*****************************************************************************
// GNetList:
//
// (12/04/2005) When schem. file imported via command line "gnetlist.log" left
//              in gspiceui bin directory. When schem. file imported via GUI
//              "gnetlist.log" left in schematic directory.
// (19/07/2005) If a relative model file path specified in schematic file the
//              path is regarded as relative to the CWD not the schematic file
//              path which would be more logical.
//*****************************************************************************
// wxWindows Library Bugs:
//
// (17/11/2003) v2.4.1 : In class wxFileDialog wildcards can only be set in the
//                      constructor. The method SetWildcard( ) is not properly
//                      implemented. See constructor in src/generic/filedlgg.cpp
//                      and set method in include/wx/generic/filedlgg.h.
// (13/08/2004) v2.4.2 : In class wxFileDialog styles can only be set in the
//                       constructor. The method SetStyle( ) does notthing.
// (04/02/2004) v2.8.3 : The class wxFileName has an undocumented function
//                       SetPath( ).
// (19/02/2004) v2.4.2 : In the class wxSpinCtrl when using SetValue( (int) 0 )
//                       for initialization the spin control is left blank.
// (21/02/2004) v2.4.2 : In the class wxTextFile function IsOpened( ) returns
//                       TRUE after Open( ) but FALSE after Create( ).
// (18/09/2004) v2.5.2 : In the class wxTextCtrl style setting wxTE_RIGHT is
//                       ignored in Create( ) function.
// (01/10/2004) v2.5.2 : No mention of wxControl constructor in documentation.
// (06/04/2005) v2.5.2 : When the wxFrame is resized wxStatusBar isn't.
// (12/04/2005) v2.5.4 : "make uninstall" does nothing.
// (28/05/2007) v2.8.3 : In the class PnlValue class and function DoLayout( )
//                       wxWidgets ignores the request to vertically align the
//                       StaticText object.
//*****************************************************************************
